## org.eclipse.emf.ecore.util
Class EObjectValidator.DynamicEClassValidator

    java.lang.Object
      org.eclipse.emf.ecore.util.EObjectValidator.DynamicEClassValidator

Enclosing class:
  EObjectValidator

    public class EObjectValidator.DynamicEClassValidator

extends java.lang.Object

Constructor Summary
`EObjectValidator.DynamicEClassValidator()`

Method Summary
`boolean` `validate(EClass eClass, EObject eObject, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`protected boolean` `validateDelegatedConstraints(EClass eClass, EObject eObject, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`protected boolean` `validateDelegatedInvariants(EClass eClass, EObject eObject, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EObjectValidator.DynamicEClassValidator

    public EObjectValidator.DynamicEClassValidator()

Method Detail

### validateDelegatedInvariants

    protected boolean validateDelegatedInvariants(EClass eClass,
                                                  EObject eObject,
                                                  DiagnosticChain diagnostics,
                                                  java.util.Map<java.lang.Object,java.lang.Object> context)

### validateDelegatedConstraints

    protected boolean validateDelegatedConstraints(EClass eClass,
                                                   EObject eObject,
                                                   DiagnosticChain diagnostics,
                                                   java.util.Map<java.lang.Object,java.lang.Object> context)

### validate

    public boolean validate(EClass eClass,
                            EObject eObject,
                            DiagnosticChain diagnostics,
                            java.util.Map<java.lang.Object,java.lang.Object> context)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.